﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            DataTable dt = new DataTable();
            dt.Columns.AddRange(new DataColumn[4] { 
                new DataColumn("Id"), 
                new DataColumn("Group"), 
                new DataColumn("Name"), 
                new DataColumn("Country") 
            });
            dt.Rows.Add(1, "A", "John Hammond", "United States");
            dt.Rows.Add(2, "B", "Mudassar Khan", "India");
            dt.Rows.Add(3, "A", "Suzanne Mathews", "France");
            dt.Rows.Add(4, "B", "Robert Schidner", "Russia");
            GridView1.DataSource = dt;
            GridView1.DataBind();
        }
    }

    protected void OnGet(object sender, EventArgs e)
    {
        //Determine the RowIndex of the Row whose Button was clicked.
        int rowIndex = ((sender as Button).NamingContainer as GridViewRow).RowIndex;

        //Get the value of column from the DataKeys using the RowIndex.
        int id = Convert.ToInt32(GridView1.DataKeys[rowIndex].Values[0]);
        string group = GridView1.DataKeys[rowIndex].Values[1].ToString();

        ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('Id: " + id + "\\nGroup: " + group + "');", true);
    }
}